package com.raulvibo.tester;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by raulvibo on 21/08/2017.
 */

public class Pregunta {
    List<Opcion> opciones;

    public Pregunta() {
        opciones = new ArrayList<>();
    }

    public List<Opcion> getOpciones() {
        return opciones;
    }

    public void setOpciones(List<Opcion> opciones) {
        this.opciones = opciones;
    }

    public void addOpcion(Opcion opcion) {
        opciones.add(opcion);
    }

    @Override
    public String toString() {
        String string = "";
        for (int o = 0; o < opciones.size(); o++) {
            string = string + "[" + opciones.get(o).toString() + "]";
        }
        return string;
    }

    public int getNumeroOpciones() {
        return opciones.size();
    }

    public Opcion getOpcion(int o) {
        return opciones.get(o);
    }

}
