package com.raulvibo.tester;

import org.opencv.core.Rect;

/**
 * Created by raulvibo on 21/08/2017.
 */

public class Opcion {
    boolean valor;
    Rect casilla;

    public Opcion(boolean valor, Rect casilla) {
        this.valor = valor;
        this.casilla = casilla;
    }

    public boolean getValor() {
        return valor;
    }

    public void setValor(boolean valor) {
        this.valor = valor;
    }

    public Rect getCasilla() {
        return casilla;
    }

    public void setCasilla(Rect casilla) {
        this.casilla = casilla;
    }

    public boolean mismaLinia(Opcion opcion) {
        return (Math.abs(casilla.y - opcion.getCasilla().y) < casilla.height);
    }

    public boolean mismoGrupo(Opcion opcion, int distanciaEntreCasillas) {
        return (Math.abs(casilla.x - opcion.getCasilla().x) < (distanciaEntreCasillas * 2));
    }

    public int distancia(Opcion opcion){
        return (Math.abs(casilla.x - opcion.getCasilla().x));
    }

    @Override
    public String toString() {
        String string = "" + valor;
        return string;
    }
}
